> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# トークン - マーケットデータ（一括）

> 複数トークンのマーケットデータを取得



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/token/{chain}/marketData/multi
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/token/{chain}/marketData/multi:
    get:
      tags:
        - Token
      summary: トークン - マーケットデータ（複数）
      description: 複数トークンのマーケットデータを取得
      operationId: get.marketData.multi
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddresses
          in: query
          description: カンマ (,) で区切られたトークンアドレスのリスト。最大100件のトークンアドレスが許可されています
          required: true
          schema:
            type: string
          example: >-
            6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN,EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
      responses:
        '200':
          description: 複数マーケットデータを取得
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  description: Token market data
                  properties:
                    athMarketCapInUsd:
                      type:
                        - string
                        - 'null'
                      description: >-
                        ENTITY.TOKEN_MARKET_DATA.ATH_MARKET_CAP_IN_USD

                        All-time-high market cap in USD (max observed since
                        token creation).
                      example: '9500000.00'
                    bluechipHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: ブルーチップ保有量の総供給量に対する割合
                      example: '0.05'
                    bluechipTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: ブルーチップウォレット保有者数
                      example: '10'
                    bluechipTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: ブルーチップウォレットの合計保有量
                      example: '50000'
                    bundleHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: バンドル保有量の総供給量に対する割合
                      example: '0.018'
                    bundleTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: バンドルウォレット保有者数
                      example: '12'
                    bundleTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: バンドルウォレットの合計保有量
                      example: '18000'
                    circulatingSupply:
                      type:
                        - string
                        - 'null'
                      description: トークンの流通供給量
                      example: '900000'
                    completionRatio:
                      type:
                        - string
                        - 'null'
                      description: ボンディングカーブの完了率
                      example: '1.0'
                    creatorsHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: クリエイターウォレットの保有比率（総供給量に対する）
                      example: '0.10'
                    creatorsTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: クリエイターウォレットの保有者数
                      example: '1'
                    creatorsTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: クリエイターウォレットの総保有量
                      example: '100000000.00'
                    devHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: 開発者保有量の総供給量に対する割合
                      example: '0.005'
                    devTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: 開発者ウォレット保有者数
                      example: '3'
                    devTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: 開発者ウォレットの合計保有量
                      example: '5000'
                    fdvInSol:
                      type:
                        - string
                        - 'null'
                      description: ネイティブトークン建ての完全希薄化時価総額
                      example: '200000'
                    fdvInUsd:
                      type:
                        - string
                        - 'null'
                      description: USD建ての完全希薄化時価総額
                      example: '200000'
                    freshHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: 新規ウォレット保有量の総供給量に対する割合
                      example: '0.01'
                    freshTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: 新規ウォレット保有者数
                      example: '30'
                    freshTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: 新規ウォレットの合計保有量
                      example: '10000'
                    holders:
                      type:
                        - string
                        - 'null'
                      description: トークン保有者の総数
                      example: '1000'
                    insiderHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: インサイダー保有量の総供給量に対する割合
                      example: '0.02'
                    insiderTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: インサイダーウォレット保有者数
                      example: '5'
                    insiderTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: インサイダーウォレットの合計保有量
                      example: '20000'
                    kolHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: KOL 保有量の総供給量に対する割合
                      example: '0.03'
                    kolTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: KOL（キーオピニオンリーダー）保有者数
                      example: '20'
                    kolTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: KOL ウォレットの合計保有量
                      example: '30000'
                    marketCapInSol:
                      type:
                        - string
                        - 'null'
                      description: ネイティブトークン建ての時価総額
                      example: '100000'
                    marketCapInUsd:
                      type:
                        - string
                        - 'null'
                      description: USD建ての時価総額
                      example: '100000'
                    maxPoolTvlInSol:
                      type:
                        - string
                        - 'null'
                      description: ネイティブトークン建ての最大プール TVL
                      example: '1000.45'
                    maxPoolTvlInUsd:
                      type:
                        - string
                        - 'null'
                      description: USD建ての最大プール TVL
                      example: '150000.00'
                    maxSupply:
                      type:
                        - string
                        - 'null'
                      description: トークンの最大供給量
                    phishingHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: フィッシングウォレットの保有比率（総供給量に対する）
                      example: '0.0005'
                    phishingTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: フィッシング判定された保有者数
                      example: '2'
                    phishingTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: フィッシング判定ウォレットの総保有量
                      example: '50000.00'
                    priceInNative:
                      type:
                        - string
                        - 'null'
                      description: チェーンのネイティブトークン建て価格
                      example: '0.00000261383847574915906643405542'
                    priceInSol:
                      type:
                        - string
                        - 'null'
                      description: ネイティブトークン建てのトークン価格
                      example: '0.00000261383847574915906643405542'
                    priceInUsd:
                      type:
                        - string
                        - 'null'
                      description: USD建てのトークン価格
                      example: '0.00000261383847574915906643405542'
                    proHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: プロトレーダー保有量の総供給量に対する割合
                      example: '0.04'
                    proTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: プロトレーダー保有者数
                      example: '25'
                    proTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: プロトレーダーの合計保有量
                      example: '40000'
                    ratHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: ラットトレーダーウォレットの保有比率（総供給量に対する）
                      example: '0.0012'
                    ratTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: ラットトレーダーの保有者数
                      example: '5'
                    ratTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: ラットトレーダーウォレットの総保有量
                      example: '120000.00'
                    sandwishHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: サンドイッチ攻撃保有量の総供給量に対する割合
                      example: '0.015'
                    sandwishTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: サンドイッチ攻撃ウォレット保有者数
                      example: '8'
                    sandwishTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: サンドイッチ攻撃ウォレットの合計保有量
                      example: '15000'
                    smartHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: スマートマネーウォレットの保有比率（総供給量に対する）
                      example: '0.03'
                    smartTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: スマートマネーの保有者数
                      example: '30'
                    smartTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: スマートマネーウォレットの総保有量
                      example: '3000000.00'
                    sniperHoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: スナイパー保有量の総供給量に対する割合
                      example: '0.025'
                    sniperTotalHolders:
                      type:
                        - string
                        - 'null'
                      description: スナイパーウォレット保有者数
                      example: '15'
                    sniperTotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: スナイパーウォレットの合計保有量
                      example: '25000'
                    top100HoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: 上位100保有者の総供給量に対する割合
                      example: '0.8'
                    top100TotalHolders:
                      type:
                        - string
                        - 'null'
                      description: 上位 100 保有者数
                      example: '100'
                    top100TotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: 上位100保有者の合計保有量
                      example: '800000'
                    top10HoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: 上位10保有者の総供給量に対する割合
                      example: '0.5'
                    top10TotalHolders:
                      type:
                        - string
                        - 'null'
                      description: 上位 10 保有者数
                      example: '10'
                    top10TotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: 上位10保有者の合計保有量
                      example: '500000'
                    top50HoldingsRatio:
                      type:
                        - string
                        - 'null'
                      description: 上位50保有者の総供給量に対する割合
                      example: '0.3'
                    top50TotalHolders:
                      type:
                        - string
                        - 'null'
                      description: 上位 50 保有者数
                      example: '50'
                    top50TotalHoldings:
                      type:
                        - string
                        - 'null'
                      description: 上位50保有者の合計保有量
                      example: '300000'
                    totalSupply:
                      type:
                        - string
                        - 'null'
                      description: トークンの総供給量
                      example: '1000000'
                    totalTvlInSol:
                      type:
                        - string
                        - 'null'
                      description: ネイティブトークン建ての合計ロック総額
                      example: '1000000.45'
                    totalTvlInUsd:
                      type:
                        - string
                        - 'null'
                      description: USD建ての合計ロック総額
                      example: '1000000.45'
                propertyNames:
                  type: string
              example:
                6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN:
                  circulatingSupply: '1000000000'
                  holders: '12345'
                  marketCap: '150000000.00'
                  priceInNative: '0.00005'
                  priceInUsd: '0.15'
                  totalSupply: '1000000000'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````